﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace EnlaceDeDatosXML
{
  /// <summary>
  /// Lógica de interacción para MainWindow.xaml
  /// </summary>
  public partial class MainWindow : Window
  {
    public MainWindow()
    {
      InitializeComponent();
    }

    private void Window_Loaded(object sender, RoutedEventArgs e)
    {
      // Tabla alumnos
      BDNotasAlumnos.DataSetBDNotasAlumnos.alumnosDataTable dt1 =
        new BDNotasAlumnos.DataSetBDNotasAlumnos.alumnosDataTable();
      (new BDNotasAlumnos.DataSetBDNotasAlumnosTableAdapters.
        alumnosTableAdapter()).Fill(dt1);
      dt1.WriteXmlSchema("xsd_alumnos.xml");
      dt1.WriteXml("datos_alumnos.xml");
      // Tabla asignaturas
      BDNotasAlumnos.DataSetBDNotasAlumnos.asignaturasDataTable dt2 =
        new BDNotasAlumnos.DataSetBDNotasAlumnos.asignaturasDataTable();
      (new BDNotasAlumnos.DataSetBDNotasAlumnosTableAdapters.
        asignaturasTableAdapter()).Fill(dt2);
      dt2.WriteXmlSchema("xsd_asignaturas.xml");
      dt2.WriteXml("datos_asignaturas.xml");
      // Tabla alums_asigs
      BDNotasAlumnos.DataSetBDNotasAlumnos.alums_asigsDataTable dt3 =
        new BDNotasAlumnos.DataSetBDNotasAlumnos.alums_asigsDataTable();
      (new BDNotasAlumnos.DataSetBDNotasAlumnosTableAdapters.
        alums_asigsTableAdapter()).Fill(dt3);
      dt3.WriteXmlSchema("xsd_alums_asigs.xml");
      dt3.WriteXml("datos_alums_asigs.xml");
    }
  }
}
