﻿using System;
using System.Windows.Data;
using System.Windows.Media;

namespace ConverTemps.Clases
{
  class ConversorDoubleBrush : IValueConverter
  {
    public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
    {
      // Hacer la conversión sólo si se requiere un pincel
      if (targetType != typeof(Brush)) return null;
      double grados = double.Parse(value.ToString());
      return grados <= -3 ? Brushes.Red : Brushes.Black;
    }

    public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
    {
      // No se utiliza en este ejemplo
      throw new NotImplementedException();
    }
  }
}
