﻿using System.ComponentModel;

namespace ConverTemps.Clases
{
  class CGrados: INotifyPropertyChanged
  {
    private double gradosC = 0.00;
    private double gradosF = 32.00;

    public event PropertyChangedEventHandler PropertyChanged;

    private void NotificarCambio(string nombreProp)
    {
      if (this.PropertyChanged != null)
        PropertyChanged(this, new PropertyChangedEventArgs(nombreProp));
    }

    public double GradosC
    {
      get { return gradosC; }
      set
      {
        gradosC = value;
        NotificarCambio("GradosC");
      }
    }

    public double GradosF
    {
      get { return gradosF; }
      set
      {
        gradosF = value;
        NotificarCambio("GradosF");
      }
    }
  }
}
