﻿using System;
using System.ComponentModel;

namespace Menus.Ordenes
{
  public class DestinoDatos : INotifyPropertyChanged
  {
    private string destino;

    public DestinoDatos()
    {
      Destino =  "default";
    }

    public string Destino
    {
      get { return destino; }
      set
      {
        destino = value;
        NotificarCambio("Destino");
      }
    }

    public event PropertyChangedEventHandler PropertyChanged;

    private void NotificarCambio(string nombreProp)
    {
      if (this.PropertyChanged != null)
        PropertyChanged(this, new PropertyChangedEventArgs(nombreProp));
    }
  }
}
