﻿using System;
using System.Linq;
using System.Windows;
using BDNotasAlumnos;
using System.Data.Objects;

namespace ApEntidades
{
  /// <summary>
  /// Lógica de interacción para MainWindow.xaml
  /// </summary>
  public partial class MainWindow : Window
  {
    public MainWindow()
    {
      InitializeComponent();
    }

    private void Window_Loaded(object sender, RoutedEventArgs e)
    {
      // Obtener el contexto de objetos
      bd_notasAlumnosEntities contextoDeObjs =
        new bd_notasAlumnosEntities();
      //// Obtener la tabla alumnos
      //ObjectSet<alumno> TablaAlumnos = contextoDeObjs.alumnos;
      //// Realizar una consulta
      //var alums = from alum in TablaAlumnos
      //            where alum.id_alumno == 1234567
      //            select new { Nombre = alum.nombre };
      //if (alums.Count() > 0)
      //  Console.WriteLine(alums.First().Nombre);

      //var actas =
      //  from alum in contextoDeObjs.alumnos
      //  from al_as in alum.alums_asigs
      //  group new { alum.nombre, al_as.nota } by al_as.id_asignatura;

      //foreach (var grupo in actas)
      //{
      //  Console.WriteLine("\nAsignatura: " + grupo.Key);
      //  foreach (var al in grupo)
      //    Console.WriteLine(al.nombre + " " + al.nota);
      //}

      //var actas =
      //  from alum in contextoDeObjs.alumnos
      //  join al_as in contextoDeObjs.alums_asigs
      //             on alum.id_alumno equals al_as.id_alumno
      //  group new { alum.nombre, al_as.nota } by al_as.id_asignatura;

      //foreach (var grupo in actas)
      //{
      //  Console.WriteLine("\nAsignatura: " + grupo.Key);
      //  foreach (var al in grupo)
      //    Console.WriteLine(al.nombre + " " + al.nota);
      //}

      //int idAlumno = 1234567;
      //var alumAsigs =
      //  from al_as in contextoDeObjs.alums_asigs
      //  where al_as.id_alumno == idAlumno
      //  group new { NombAsig = al_as.asignatura.nombre }
      //        by al_as.alumno.nombre;

      //foreach (var grupo in alumAsigs)
      //{
      //  Console.WriteLine("\nAlumno: " + grupo.Key);
      //  foreach (var x in grupo)
      //    Console.WriteLine(x.NombAsig);
      //}

      int idAlumno = 1234567;
      var alums =
        from al in contextoDeObjs.alumnos
        where al.id_alumno == idAlumno
        select al;
      var asigs =
        from al_as in contextoDeObjs.alums_asigs
        where al_as.id_alumno == idAlumno
        select al_as.asignatura;

      foreach (var alum in alums)
        Console.WriteLine(alum.nombre);
      foreach (var asig in asigs)
        Console.WriteLine(asig.nombre);

      tbNomAlum.DataContext = alums;
      tbNomAlum.Text = alums.First().nombre;
      listaAsigs.ItemsSource = asigs;
      listaAsigs.DisplayMemberPath = "nombre";
    }
  }
}
