﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace ApNavegacionWeb
{
  /// <summary>
  /// Lógica de interacción para PagListado.xaml
  /// </summary>
  public partial class PagListado : Page
  {
    public PagListado()
    {
      InitializeComponent();
    }

    private void btMostrar_Click(object sender, RoutedEventArgs e)
    {
      PagDatos pagDatos = new PagDatos(this.lstPersonas.SelectedItem);
      this.NavigationService.Navigate(pagDatos);
    }

    private void btAgregar_Click(object sender, RoutedEventArgs e)
    {
      PagFunAgregarPersona pagFunAgregarPersona = new PagFunAgregarPersona();
      pagFunAgregarPersona.Return += new ReturnEventHandler<CPersona>(
        pagFunAgregarPersona_Return);
      this.NavigationService.Navigate(pagFunAgregarPersona);
    }

    private void pagFunAgregarPersona_Return(object sender, ReturnEventArgs<CPersona> e)
    {
      // Aquí se agregaría la persona "e.Result" a la base de datos
      if (e != null)
      {
        System.Diagnostics.Debug.WriteLine(e.Result.Foto);
        System.Diagnostics.Debug.WriteLine(e.Result.Nombre);
        System.Diagnostics.Debug.WriteLine(e.Result.Direccion);
        System.Diagnostics.Debug.WriteLine(e.Result.Telefono);
        System.Diagnostics.Debug.WriteLine(e.Result.EsMovil);
      }
    }
  }
}
