﻿using System;
using System.Windows;
using System.Windows.Controls;
using ApSilverlight.Paginas;

namespace ApSilverlight.Paginas
{
  public partial class SilverlightChildWindow : UserControl
  {
    private Login ventanaHija = new Login();

    public SilverlightChildWindow()
    {
      InitializeComponent();
      ventanaHija.Closed += new EventHandler(ventanaHija_Closed);
    }

    private void btInicioSesion_Click(object sender, RoutedEventArgs e)
    {
      if (btInicioSesion.Content.ToString() == "Cerrar sesión") return;
      ventanaHija.Show();
      System.Diagnostics.Debug.WriteLine("Se invocó a Show");
    }

    private void ventanaHija_Closed(object sender, EventArgs e)
    {
      if (ventanaHija.DialogResult == true)
      {
        // Aquí verificaríamos si 'ventanaHija.Contraseña'
        // es válida.
        tbInfo.Text = "Bienvenido " + ventanaHija.Usuario +
                      " a este sitio Web.";
        btInicioSesion.Content = "Cerrar sesión";
      }
    }
  }
}
