﻿using System;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.ServiceModel.Activation;
using System.Web.Security;

[ServiceContract(Namespace = "")]
[SilverlightFaultBehavior]
[AspNetCompatibilityRequirements(RequirementsMode = AspNetCompatibilityRequirementsMode.Allowed)]
public class Login
{
	[OperationContract]
  public bool Authenticate(string usuario, string password)
  {
    if (FormsAuthentication.Authenticate(usuario, password))
    {
      return true;
    }
    return false;
  }

  [OperationContract]
  public void SignOut()
  {
    FormsAuthentication.SignOut();
  }
}
