﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;
using System.Collections.ObjectModel;

namespace BDNotasAlumnos
{
  public class bd_notasAlumnos
  {
    public Asignatura ObtenerAsignatura(int ID)
    {
      try
      {
        DataTable tablaAsigs = DataSetBDNotasAlumnos.ObtenerTablaAsignaturas();
        DataRow filaAsignaturas = tablaAsigs.Select("id_asignatura = " + ID.ToString())[0];
        Asignatura asig = new Asignatura((int)filaAsignaturas["id_asignatura"],
                                         (string)filaAsignaturas["nombre"]);
        return asig;
      }
      catch (Exception exc)
      {
        System.Diagnostics.Debug.WriteLine(exc.Message);
        return null;
      }
    }

    public ICollection<Asignatura> ObtenerAsignaturas()
    {
      DataTable tablaAsigs = DataSetBDNotasAlumnos.ObtenerTablaAsignaturas();

      ObservableCollection<Asignatura> asigs = new ObservableCollection<Asignatura>();
      foreach (DataRow fila in tablaAsigs.Rows)
      {
        asigs.Add(new Asignatura((int)fila["id_asignatura"],
                                 (string)fila["nombre"]));
      }
      return asigs;
    }

    // ...
  }
}
