﻿using System.Data;
using System;

namespace BDNotasAlumnos
{
  // Simulación de la base de datos
  public class DataSetBDNotasAlumnos
  {
    // Construcción del DataSet a partir de
    // bd_notasAlumnos.xsd y bd_notasAlumnos.xml
    public static DataTable ObtenerTablaAsignaturas()
    {
      return ReadDataSet().Tables["asignaturas"];
    }

    public static DataSet ObtenerAlumsAsigsNotas()
    {
      return ReadDataSet();
    }

    internal static DataSet ReadDataSet()
    {
      try
      {
        DataSet ds = new DataSet();
        ds.ReadXmlSchema("../../bd_notasAlumnos.xsd");
        ds.ReadXml("../../bd_notasAlumnos.xml");
        return ds;
      }
      catch (Exception exc)
      {
        System.Diagnostics.Debug.WriteLine(exc.Message);
        return null;
      }
    }
  }
}
