﻿using System;
using System.Collections.Generic;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Windows;

namespace WPFAplicacion
{
  /// <summary>
  /// Lógica de interacción para App.xaml
  /// </summary>
  public partial class App : Application
  {
    private System.Threading.Mutex exmut;
    private bool ventanaMaximizada = false;

    public bool VentanaMaximizada
    {
      get { return ventanaMaximizada; }
    }

    private void Application_Startup(object sender, StartupEventArgs e)
    {
      // Verificar si ya existe una instancia de la aplicación
      string nombre_exmut = "WPFAplicacion.App";
      bool nueva = false;
      exmut = new System.Threading.Mutex(true, nombre_exmut, out nueva);
      if (!nueva) Shutdown();
      // Simular una iniciación lenta
      System.Threading.Thread.Sleep(3000);

      // Argumentos en la línea de órdenes
      if (e.Args.Length > 0)
      {
        if (e.Args[0] == "/max" || e.Args[0] == "-max")
          ventanaMaximizada = true;
      }
    }

    //protected override void OnStartup(StartupEventArgs e)
    //{
    //  // Verificar si ya existe una instancia de la aplicación
    //  string nombre_exmut = "WPFAplicacion.App";
    //  bool nueva;
    //  exmut = new System.Threading.Mutex(true, nombre_exmut, out nueva);
    //  if (!nueva) Shutdown();
    //  // Simular una iniciación lenta
    //  System.Threading.Thread.Sleep(3000);
    //}
  }
}
