﻿using System;
using System.Windows;
using System.IO;
using System.Windows.Markup;

namespace WPFAplicacion
{
  /// <summary>
  /// Lógica de interacción para MainWindow.xaml
  /// </summary>
  public partial class MainWindow : Window
  {
    public MainWindow()
    {
      InitializeComponent();
    }

    private void button1_Click(object sender, RoutedEventArgs e)
    {
      using (FileStream destino = new FileStream("resultado.xaml", FileMode.Create))
      {
        XamlWriter.Save(this, destino);
        // Mostrar lo que se ha escrito en el fichero
        string resultadoXaml = XamlWriter.Save(this);
        MessageBox.Show(resultadoXaml);
      }
    }

    [System.STAThreadAttribute()]
    public static void Main()
    {
      Application app = new Application();
      app.Run(new MainWindow());
    }
  }
}
