﻿using System.Windows;
using System.Windows.Data;
using System.Xml;

namespace CajasDeDialogo
{
  /// <summary>
  /// Lógica de interacción para DlgTreeView.xaml
  /// </summary>
  public partial class DlgTreeView : Window
  {
    public DlgTreeView()
    {
      InitializeComponent();
    }

    private void btGuardarDocXml_Click(object sender, RoutedEventArgs e)
    {
      // Recuperar el proveedor XML de los recursos de MainWindow
      XmlDataProvider dataProvider = this.FindResource("xmlAlumnos") as XmlDataProvider;
      string nombreFicheroXml = "../../Datos/alumnos.xml";
      dataProvider.Document.Save(nombreFicheroXml);
    }

    private void btExpandirNodos_Click(object sender, RoutedEventArgs e)
    {
      trvAlumnos.Style = (Style)this.FindResource("Expandir");
    }

    private void btContraerNodos_Click(object sender, RoutedEventArgs e)
    {
      trvAlumnos.Style = (Style)this.FindResource("Contraer");
    }

    private void btRecargarDocXml_Click(object sender, RoutedEventArgs e)
    {
      XmlDataProvider dataProvider = this.FindResource("xmlAlumnos") as XmlDataProvider;
      XmlDocument docXml = new XmlDocument();
      string nombreFicheroXml = "../../Datos/alumnos.xml";
      docXml.Load(nombreFicheroXml);
      // Asignar el documento modificado, usando la raíz de docXml
      dataProvider.Document = docXml;
    }
  }
}
