﻿using System.Windows;

namespace EnlaceDeDatosObjetos
{
  /// <summary>
  /// Lógica de interacción para MainWindow.xaml
  /// </summary>
  public partial class MainWindow : Window
  {
    public MainWindow()
    {
      InitializeComponent();
    }

    private void ArchivoSalir_Click(object sender, RoutedEventArgs e)
    {
      Close();
    }

    private void AyudaAcercaDe_Click(object sender, RoutedEventArgs e)
    {
      AcercaDe dlg = new AcercaDe();
      dlg.ShowDialog();
    }

    private void DlgDataTemplate_Click(object sender, RoutedEventArgs e)
    {
      DlgDataTemplate dlg = new DlgDataTemplate();
      dlg.ShowDialog();
    }

    private void DlgOperacionesObjs_Click(object sender, RoutedEventArgs e)
    {
      DlgOperacionesObjs dlg = new DlgOperacionesObjs();
      dlg.ShowDialog();
    }

    private void DlgMaestroDetalle_Click(object sender, RoutedEventArgs e)
    {
      DlgMaestroDetalle dlg = new DlgMaestroDetalle();
      dlg.ShowDialog();
    }

    private void DlgInsertarBorrar_Click(object sender, RoutedEventArgs e)
    {
      DlgInsertarBorrar dlg = new DlgInsertarBorrar();
      dlg.ShowDialog();
    }

    private void DlgDataGrid_Click(object sender, RoutedEventArgs e)
    {
      DlgDataGrid dlg = new DlgDataGrid();
      dlg.ShowDialog();
    }
  }
}
