﻿using System.Windows;
using System.Windows.Controls;
using System.Collections.ObjectModel;
using System.ComponentModel;

namespace ComponentesAccesoDatos
{
  /// <summary>
  /// Lógica de interacción para MainWindow.xaml
  /// </summary>
  public partial class MainWindow : Window
  {
    private CTelefonoBLL bd = new CTelefonoBLL();

    public MainWindow()
    {
      InitializeComponent();
    }

    private void Window_Loaded(object sender, RoutedEventArgs e)
    {
      try
      {
        // Contextos de datos
        dgTelefonos.DataContext = bd.ObtenerFilasTfnos();
      }
      catch (System.Exception ex)
      {
        MessageBox.Show(ex.Message);
      }
    }
  }
}

