USE master

if exists (select * from sysdatabases where name='bd_libros')
begin
  raiserror('La base de datos existe; eliminndola....',0,1)
  DROP database bd_libros
end
GO

raiserror('Creando base de datos bd_libros....',0,1)
go

CREATE DATABASE bd_libros
GO

USE bd_libros
GO

CREATE TABLE temas
(
  id_tema       INT PRIMARY KEY NOT NULL,
  tema     	NVARCHAR(30) NOT NULL
)
GO
INSERT INTO temas
       VALUES (1, 'Artes plsticas')
INSERT INTO temas
       VALUES (2, 'Ciencias e Industria')
INSERT INTO temas
       VALUES (3, 'Ciencias Humanas')
INSERT INTO temas
       VALUES (4, 'Ciencias de la Salud')
INSERT INTO temas
       VALUES (5, 'Derecho')
INSERT INTO temas
       VALUES (6, 'Diccionarios')
INSERT INTO temas
       VALUES (7, 'Economa y Empresa')
INSERT INTO temas
       VALUES (8, 'Gastronoma')
INSERT INTO temas
       VALUES (9, 'Gastronoma')
INSERT INTO temas
       VALUES (10, 'Informtica')
INSERT INTO temas
       VALUES (11, 'Literatura')
INSERT INTO temas
       VALUES (12, 'Ocio y Deportes')
GO

CREATE TABLE titulos
(
  id_libro      INT PRIMARY KEY NOT NULL,
  titulo     	NVARCHAR(80) NOT NULL,
  id_tema       INT NOT NULL
)
GO
INSERT INTO titulos
       VALUES (1, 'C/C ++. Curso de programacin. RA-MA.', 10)
INSERT INTO titulos
       VALUES (2, 'Programacin orientada a objetos con C++. RA-MA.', 10)
INSERT INTO titulos
       VALUES (3, 'Enciclopedia del lenguaje C++. RA-MA.', 10)
INSERT INTO titulos
       VALUES (4, 'Java 2. Interfaces grficas y aplicaciones para Internet. RA-MA.', 10)
INSERT INTO titulos
       VALUES (5, 'Microsoft C#. Lenguaje y aplicaciones. RA-MA.', 10)
INSERT INTO titulos
       VALUES (6, 'Java 2. Curso de programacin. RA-MA.', 10)
INSERT INTO titulos
       VALUES (7, 'Microsoft Visual Basic .NET. Lenguaje y aplicaciones. RA-MA.', 10)
INSERT INTO titulos
       VALUES (8, 'La Peste. EDHASA.', 11)
INSERT INTO titulos
       VALUES (9, 'Luz sobre yoga. KAIROS.', 12)
INSERT INTO titulos
       VALUES (10, 'Los impresionistas en casa. ALIANZA.', 1)
INSERT INTO titulos
       VALUES (11, 'El recetario industrial. GUSTAVO GILI.', 2)
INSERT INTO titulos
       VALUES (12, 'Historia de Espaa. CRITICA.', 3)
INSERT INTO titulos
       VALUES (13, 'Negociar el riesgo. ARIEL.', 4)
INSERT INTO titulos
       VALUES (14, 'Manual de derecho informtico. ARANZADI.', 5)
INSERT INTO titulos
       VALUES (15, 'Diccionario ilustrado de la lengua espaola. LAROUSSE.', 6)
INSERT INTO titulos
       VALUES (16, 'Historia econmica de la Europa contempornea. CRITICA.', 7)
INSERT INTO titulos
       VALUES (17, 'Enciclopedia culinaria respostera y confitera. ESAPASA CALPE.', 8)
INSERT INTO titulos
       VALUES (18, 'Lugares inolvidables del mundo. BLUME.', 9)
GO

quit
