USE master

if exists (select * from sysdatabases where name='bd_telefonos')
begin
  raiserror('La base de datos existe; eliminndola....',0,1)
  DROP database bd_telefonos
end
GO

raiserror('Creando base de datos bd_telefonos....',0,1)
go

CREATE DATABASE bd_telefonos
GO

USE bd_telefonos
GO

CREATE TABLE telefonos
(
  nombre        VARCHAR(30) NOT NULL,
  direccion     VARCHAR(30) NOT NULL,
  telefono      VARCHAR(12) PRIMARY KEY NOT NULL,
  observaciones VARCHAR(240)
)
GO

INSERT INTO telefonos
       VALUES ('Leticia Aguirre Soriano', 'Triana, Sevilla', '954345678', 'Ninguna')
INSERT INTO telefonos
       VALUES ('Pedro Aguado Rodrguez', 'Alcal de Henares, Madrid', '918888888', 'Ninguna')
INSERT INTO telefonos
       VALUES ('Alfons Gonzlez Prez', 'Argentona, Barcelona', '933333333', 'Director de desarrollo')
INSERT INTO telefonos
       VALUES ('Miguel Lpez Trujillo', 'Mataporquera, Cantabria', '942232323', 'Es propietario de la empresa PUBLICSA')
INSERT INTO telefonos
       VALUES ('Sonia Febril Parra', 'Valdeolivas, Granada', '958565656', 'Ninguna')
INSERT INTO telefonos
       VALUES ('Elena Veiguela Suarez', 'Muxa, La Corua', '981425323', 'Ninguna')
INSERT INTO telefonos
       VALUES ('Ana Mara Cuesta Suer', 'Gijn, Asturias', '984454545', 'Ninguna')
INSERT INTO telefonos
       VALUES ('Isabella Ceballos Gonzlez', 'Boston, U.S.A.', '123456789', 'La ms grande')
INSERT INTO telefonos
       VALUES ('Francisco Ceballos Fernndez', 'Boston, U.S.A.', '111555999', 'CEO Evermedia')
INSERT INTO telefonos
       VALUES ('Manuel Setien Latorre', 'Santander, Cantabria', '942555333', 'Ninguna')
INSERT INTO telefonos
       VALUES ('Ismael Puertas Lpez', 'Matar, Barcelona', '934343567', 'Frabicante de calzado')
INSERT INTO telefonos
       VALUES ('Carmen Torres Saldaa', 'Motril, Granada', '958737373', 'Ninguna')
INSERT INTO telefonos
       VALUES ('Javier Ceballos Fernndez', 'Alcal de Henares, Madrid', '911234567', 'Ingeniero de Informtica')
INSERT INTO telefonos
       VALUES ('Roberto Canales Mora', 'Torrejn, Madrid', '916753306', 'Director ejecutivo de Autentia')
GO

quit
