﻿using System;
using System.Linq;
using BDNotasAlumnos;
using System.Data;
using System.Collections.Generic;
using System.Windows.Data;
using System.Collections.ObjectModel;

namespace ApNotasAlumnos
{
  class CProveedorAsignaturasNotas
  {
    private bd_notasAlumnosEntities contextoDeObjs;

    public CProveedorAsignaturasNotas()
    {
      contextoDeObjs = new bd_notasAlumnosEntities();
    }

    public object ObtenerAsignaturasNotas(int idAlumno)
    {
      var alumAsigs =
        from al_as in contextoDeObjs.alums_asigs
        where al_as.id_alumno == idAlumno
        select new { al_as.asignatura.id_asignatura, al_as.asignatura.nombre, al_as.nota };

      return alumAsigs.ToList();
    }
  }
}
