﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Navigation;
using ApNavSilverlightSvcAps.RefUsersRolesSvc;

namespace ApNavSilverlightSvcAps.Views
{
  public partial class Usuarios : Page
  {
    public Usuarios()
    {
      InitializeComponent();
    }

    // Se ejecuta cuando el usuario navega a esta página.
    protected override void OnNavigatedTo(NavigationEventArgs e)
    {
      Uri uriSvcUsersRoles = new Uri(Application.Current.Host.Source,
                                     "../Users/UsersRoles.svc");
      UsersRolesClient svcUsersRoles = new UsersRolesClient(
        "CustomBinding_UsersRoles", uriSvcUsersRoles.AbsoluteUri);
      svcUsersRoles.UsersCompleted +=
        new EventHandler<UsersCompletedEventArgs>(
          svcUsersRoles_UsersCompleted);
      svcUsersRoles.UsersAsync();
    }

    void svcUsersRoles_UsersCompleted(object sender, UsersCompletedEventArgs e)
    {
      List<string> ls = e.Result.ToList();
      lstUsers.ItemsSource = ls;
    }
  }
}
